# CollisionSettings(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``CollisionSettings`(bpy_struct)

  Collision settings for object in physics simulation

  `absorption`

    How much of effector force gets lost during collision with this object (in percent)

    Type: | float in [0, 1], default 0.0

  `damping`

    Amount of damping during collision

    Type: | float in [0, 1], default 0.0

  `damping_factor`

    Amount of damping during particle collision

    Type: | float in [0, 1], default 0.0

  `damping_random`

    Random variation of damping

    Type: | float in [0, 1], default 0.0

  `friction_factor`

    Amount of friction during particle collision

    Type: | float in [0, 1], default 0.0

  `friction_random`

    Random variation of friction

    Type: | float in [0, 1], default 0.0

  `permeability`

    Chance that the particle will pass through the mesh

    Type: | float in [0, 1], default 0.0

  `stickiness`

    Amount of stickiness to surface collision

    Type: | float in [0, 10], default 0.0

  `thickness_inner`

    Inner face thickness (only used by softbodies)

    Type: | float in [0.001, 1], default 0.0

  `thickness_outer`

    Outer face thickness

    Type: | float in [0.001, 1], default 0.0

  `use`

    Enable this objects as a collider for physics systems

    Type: | boolean, default False

  `use_particle_kill`

    Kill collided particles

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`CollisionModifier.settings` | `Object.collision`